package com.example.sam4s;

import com.example.sam4s.R;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class cl_ConnectMode extends Activity {
	private Button btnManual;
	private Button btnAuto;
	
	@Override  
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.connectmode);

		btnManual = (Button)findViewById(R.id.btnManual);
		btnManual.setOnClickListener(new btnManualOnClick());	
		
		btnAuto = (Button)findViewById(R.id.btnAuto);
		btnAuto.setOnClickListener(new btnAutoOnClick());	
	}
	
	class btnManualOnClick implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{								
				Intent MenuIntent = new Intent(getBaseContext(), cl_Manual.class);
				startActivityForResult(MenuIntent, cl_Main.ACTIVITY_MANUAL);     								
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
				cl_Main.showMsg(ex.getMessage(), cl_ConnectMode.this);
			}
		}
	}
	
	class btnAutoOnClick implements View.OnClickListener
	{
		public void onClick(View v)
		{
			try
			{								
				Intent MenuIntent = new Intent(getBaseContext(), cl_SearchPrinter.class);
				startActivityForResult(MenuIntent, cl_Main.ACTIVITY_SEARCH);     								
			}
			catch(Exception ex)
			{
				ex.printStackTrace();
				cl_Main.showMsg(ex.getMessage(), cl_ConnectMode.this);
			}
		}
	}
}
